Bug 322511 - Review Request: totem-xine - A movie player for GNOME
Review Request: totem-xine - A movie player for GNOME
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-07 18:10 EDT by Stewart Adam
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-08 15:24:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stewart Adam 2007-10-07 18:10:30 EDT
Spec URL: http://www.diffingo.com/downloads/diffingo-repo/totem-xine.spec
SRPM URL: http://www.diffingo.com/downloads/diffingo-repo/totem-xine-2.20.0-1.lvn8.src.rpm
Description:
Totem is simple movie player for the GNOME desktop. It features a simple
playlist, a full-screen mode, seek and volume controls, as well as a pretty
complete keyboard navigation.

totem-xine is linked against xine-lib, unlike the Fedora package which is
linked against gstreamer.

rpmlint output:
totem-xine.i386: W: obsolete-not-provided nautilus-media
totem-xine.i386: W: conffile-without-noreplace-flag /etc/gconf/schemas/totem-handlers.schemas
totem-xine.i386: W: conffile-without-noreplace-flag /etc/gconf/schemas/totem-video-thumbnail.schemas
totem-xine.i386: W: conffile-without-noreplace-flag
/etc/gconf/schemas/totem.schemas

I've based this spec off Fedora's existing totem spec, so I figured it obsoletes nautilus-media without providing it for a reason. Same for the schemas, I figured without noreplace was best based on the existing totem spec.
Comment 1 Lubomir Kundrak 2007-10-08 04:47:14 EDT
totem-xine package is already in Livna [1] and being merged into RpmFusion [2].
Please have a look:

[1]
http://livna-dl.reloumirrors.net/fedora/development/SRPMS/totem-xine-2.18.0-1.lvn7.src.rpm
[2]
http://lists.fedoraunity.org/pipermail/repo-merge-discussion/2007-October/000645.html
Comment 2 Stewart Adam 2007-10-08 09:47:13 EDT
I help maintain totem-xine at Livna, we thought Fedora would be a better place
for it now that xine-lib had been moved into Fedora.
Comment 3 Stewart Adam 2007-10-08 10:45:33 EDT
Upstream has plans to make the engine selectable at runtime rather than compile
time (gnome bz#459539), however for now I'm going to work on a parallel
installable version since it shouldn't conflict totem.
Comment 4 Bastien Nocera 2007-10-08 10:51:46 EDT
I'd be happy to have totem-xine and totem-gstreamer both built from the same
source RPM, rather than having 2 different packages, which wouldn't share fixes,
updates, etc.

I'm not sure just how we'd handle that practically though. Maybe time would be
better spent making the backend a runtime option as per upstream.
Comment 5 Stewart Adam 2007-10-08 15:24:56 EDT
Like Bastien said it would probably better to modify the current spec rather
then two specs for the same package.

I'll close this bug and report one against totem instead.

Note You need to log in before you can comment on or make changes to this bug.